%global commit fa92033ddd9cf76597b1ce91e38d9bb24438ad96
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           em100
Version:        0
Release:        1.20200627git%{shortcommit}%{?dist}
Summary:        Command-line utility to control the Dediprog EM100Pro flash emulator
License:        GPLv2+
URL:            https://www.coreboot.org/EM100pro
# git archive --format=tar --prefix=em100-fa92033/ fa92033 | xz >em100-fa92033.tar.xz
Source0:        %{name}-%{shortcommit}.tar.xz
BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  libusbx-devel
BuildRequires:  libcurl-devel

%description
%{summary}.

%prep
%setup -q -n %{name}-%{shortcommit}

%build
CFLAGS="%{optflags}" make

%install
install -d %{buildroot}%{_bindir}
install -m 0755 em100 %{buildroot}%{_bindir}/

%files
%{_bindir}/em100

%changelog
* Fri Nov 13 2020 Dan Callaghan <dan.callaghan@opengear.com> - 0-1.20200627gitfa92033
- initial version
